# hasSuperclass

val < T : Any > Class < T >. hasSuperclass : Boolean

Whether the current Class has inheritance relationship, and the superclass is Any will be considered to have no inheritance relationship.

#### Receiver

the Class to be checked.

#### Return

Boolean

val < T : Any > KClass < T >. hasSuperclass : Boolean

Whether the current KClass.java has inheritance relationship, and the superclass is Any will be considered to have no inheritance relationship.

#### See also

hasSuperclass